Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement
Class MeasurementConstants

    java.lang.Object
      org.hyperic.hq.measurement.MeasurementConstants

    public final class MeasurementConstants

extends java.lang.Object

Constant measurement values shared by other subsystems

Field Summary
`static long` | `ACCEPTABLE_LIVE_MILLIS`
`static long` | `ACCEPTABLE_PLATFORM_LIVE_MILLIS` Acceptable live data time difference
`static long` | `ACCEPTABLE_SERVICE_LIVE_MILLIS`
`static double` | `AVAIL_DOWN` Availability error
`static double` | `AVAIL_NULL` Null Availability, just a place holder for availability before it is cached
`static double` | `AVAIL_PAUSED` Availability paused
`static double` | `AVAIL_POWERED_OFF` Availability powered off (for VMs)
`static double` | `AVAIL_UNKNOWN` Availability unknown
`static double` | `AVAIL_UP` Availability ok
`static double` | `AVAIL_WARN` Availability warning
`static java.lang.String` | `BASELINE_OPT_MAX` Measurement baseline max option.
`static java.lang.String` | `BASELINE_OPT_MEAN` Measurement baseline mean option.
`static java.lang.String` | `BASELINE_OPT_MIN` Measurement baseline min option.
`static java.lang.String` | `CAT_AVAILABILITY` Measurement category availability
`static java.lang.String` | `CAT_PERFORMANCE` Measurement category performance
`static java.lang.String` | `CAT_THROUGHPUT` Measurement category throughput
`static java.lang.String` | `CAT_UTILIZATION` Measurement category utilization
`static int` | `COLL_TYPE_DYNAMIC` The collection type values
`static java.lang.String[]` | `COLL_TYPE_NAMES`
`static int` | `COLL_TYPE_STATIC`
`static int` | `COLL_TYPE_TRENDSDOWN`
`static int` | `COLL_TYPE_TRENDSUP`
`static double` | `DATA_DEFAULT_LATENCY_PERC` An estimated latency (b/t agent and server) value percentage.
`static long` | `DATA_PURGE_RUN_MILLIS` Data purge daemon life span (4 hours).
`static long` | `DAY`
`static double` | `DEFAULT_TIMING_WINDOW_PERCENTAGE` The default timing window percentage for scheduling
`static long` | `FILTER_AVAIL`
`static long` | `FILTER_DYN`
`static long` | `FILTER_NONE`
`static long` | `FILTER_PERF`
`static long` | `FILTER_STATIC`
`static long` | `FILTER_THRU`
`static long` | `FILTER_TREND_DN`
`static long` | `FILTER_TREND_UP`
`static long` | `FILTER_UTIL`
`static long` | `HEALTH_WINDOW_MILLIS` Current health summary data window (8 hours).
`static long` | `HOUR`
`static int` | `IND_AVG`
`static int` | `IND_CFG_COUNT`
`static int` | `IND_LAST_TIME`
`static int` | `IND_MAX`
`static int` | `IND_MIN` The aggregate data indices
`static long` | `INTERVAL_AVAIL_PLAT`
`static long` | `INTERVAL_AVAIL_SVC`
`static long` | `INTERVAL_AVAIL_SVR`
`static long` | `INTERVAL_DEFAULT_MILLIS` Default measurement interval.
`static long` | `INTERVAL_DYNAMIC`
`static long` | `INTERVAL_STATIC`
`static long` | `INTERVAL_TRENDING`
`static java.lang.String` | `MEA_TIMING_LOG` The category for measurement method timing markers Set level to DEBUG
`static long` | `MINUTE`
`static int` | `PROBLEM_TYPE_ALERT`
`static int` | `PROBLEM_TYPE_OVER`
`static int` | `PROBLEM_TYPE_UNDER`
`static java.lang.String` | `REPORT_QUEUE` The measurement report queue
`static long` | `SIX_HOUR`
`static java.lang.String` | `TAB_DATA`
`static java.lang.String` | `TAB_DATA_1D`
`static java.lang.String` | `TAB_DATA_1H`
`static java.lang.String` | `TAB_DATA_6H`
`static java.lang.String` | `TAB_MEAS`
`static java.lang.String` | `TAB_PROB`
`static long` | `TIMERANGE_UNLIMITED` No time range constraint
`static java.lang.String` | `UNITS_BITS`
`static java.lang.String` | `UNITS_BYTES`
`static java.lang.String` | `UNITS_BYTES_TO_BITS`
`static java.lang.String` | `UNITS_CENTS`
`static java.lang.String` | `UNITS_EPOCH_MILLIS`
`static java.lang.String` | `UNITS_EPOCH_SECONDS`
`static java.lang.String` | `UNITS_GBITS`
`static java.lang.String` | `UNITS_GBYTES`
`static java.lang.String` | `UNITS_JIFFYS`
`static java.lang.String` | `UNITS_KBITS`
`static java.lang.String` | `UNITS_KBYTES`
`static java.lang.String` | `UNITS_MBITS`
`static java.lang.String` | `UNITS_MBYTES`
`static java.lang.String` | `UNITS_MICROS`
`static java.lang.String` | `UNITS_MILLIS`
`static java.lang.String` | `UNITS_NANOS`
`static java.lang.String` | `UNITS_NONE` Metric units labels
`static java.lang.String` | `UNITS_PBITS`
`static java.lang.String` | `UNITS_PBYTES`
`static java.lang.String` | `UNITS_PERCENT` value 0.0 ..
`static java.lang.String` | `UNITS_PERCENTAGE` value 0.0 ..
`static java.lang.String` | `UNITS_SECONDS`
`static java.lang.String` | `UNITS_TBITS`
`static java.lang.String` | `UNITS_TBYTES`
`static java.lang.String[]` | `VALID_CATEGORIES`
`static int[]` | `VALID_COLL_TYPE`
`static java.lang.String[]` | `VALID_UNITS`

Constructor Summary
`MeasurementConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CAT_AVAILABILITY

    public static final java.lang.String CAT_AVAILABILITY

  Measurement category availability

  See Also:
    Constant Field Values

### CAT_PERFORMANCE

    public static final java.lang.String CAT_PERFORMANCE

  Measurement category performance

  See Also:
    Constant Field Values

### CAT_THROUGHPUT

    public static final java.lang.String CAT_THROUGHPUT

  Measurement category throughput

  See Also:
    Constant Field Values

### CAT_UTILIZATION

    public static final java.lang.String CAT_UTILIZATION

  Measurement category utilization

  See Also:
    Constant Field Values

### VALID_CATEGORIES

    public static final java.lang.String[] VALID_CATEGORIES

### BASELINE_OPT_MEAN

    public static final java.lang.String BASELINE_OPT_MEAN

  Measurement baseline mean option.

  See Also:
    Constant Field Values

### BASELINE_OPT_MIN

    public static final java.lang.String BASELINE_OPT_MIN

  Measurement baseline min option.

  See Also:
    Constant Field Values

### BASELINE_OPT_MAX

    public static final java.lang.String BASELINE_OPT_MAX

  Measurement baseline max option.

  See Also:
    Constant Field Values

### AVAIL_NULL

    public static final double AVAIL_NULL

  Null Availability, just a place holder for availability before it is cached

  See Also:
    Constant Field Values

### AVAIL_DOWN

    public static final double AVAIL_DOWN

  Availability error

  See Also:
    Constant Field Values

### AVAIL_WARN

    public static final double AVAIL_WARN

  Availability warning

  See Also:
    Constant Field Values

### AVAIL_UP

    public static final double AVAIL_UP

  Availability ok

  See Also:
    Constant Field Values

### AVAIL_UNKNOWN

    public static final double AVAIL_UNKNOWN

  Availability unknown

  See Also:
    Constant Field Values

### AVAIL_PAUSED

    public static final double AVAIL_PAUSED

  Availability paused

  See Also:
    Constant Field Values

### AVAIL_POWERED_OFF

    public static final double AVAIL_POWERED_OFF

  Availability powered off (for VMs)

  See Also:
    Constant Field Values

### MEA_TIMING_LOG

    public static final java.lang.String MEA_TIMING_LOG

  The category for measurement method timing markers Set level to DEBUG

  See Also:
    Constant Field Values

### DEFAULT_TIMING_WINDOW_PERCENTAGE

    public static final double DEFAULT_TIMING_WINDOW_PERCENTAGE

  The default timing window percentage for scheduling

  See Also:
    Constant Field Values

### DATA_DEFAULT_LATENCY_PERC

    public static final double DATA_DEFAULT_LATENCY_PERC

  An estimated latency (b/t agent and server) value percentage.

  See Also:
    Constant Field Values

### MINUTE

    public static final long MINUTE

See Also:
  Constant Field Values

### HOUR

    public static final long HOUR

See Also:
  Constant Field Values

### DAY

    public static final long DAY

See Also:
  Constant Field Values

### SIX_HOUR

    public static final long SIX_HOUR

See Also:
  Constant Field Values

### INTERVAL_DEFAULT_MILLIS

    public static final long INTERVAL_DEFAULT_MILLIS

  Default measurement interval.

  See Also:
    Constant Field Values

### ACCEPTABLE_PLATFORM_LIVE_MILLIS

    public static final long ACCEPTABLE_PLATFORM_LIVE_MILLIS

  Acceptable live data time difference

  See Also:
    Constant Field Values

### ACCEPTABLE_LIVE_MILLIS

    public static final long ACCEPTABLE_LIVE_MILLIS

See Also:
  Constant Field Values

### ACCEPTABLE_SERVICE_LIVE_MILLIS

    public static final long ACCEPTABLE_SERVICE_LIVE_MILLIS

See Also:
  Constant Field Values

### HEALTH_WINDOW_MILLIS

    public static final long HEALTH_WINDOW_MILLIS

  Current health summary data window (8 hours).

  See Also:
    Constant Field Values

### DATA_PURGE_RUN_MILLIS

    public static final long DATA_PURGE_RUN_MILLIS

  Data purge daemon life span (4 hours).

  See Also:
    Constant Field Values

### TIMERANGE_UNLIMITED

    public static final long TIMERANGE_UNLIMITED

  No time range constraint

  See Also:
    Constant Field Values

### UNITS_NONE

    public static final java.lang.String UNITS_NONE

  Metric units labels

  See Also:
    Constant Field Values

### UNITS_PERCENTAGE

    public static final java.lang.String UNITS_PERCENTAGE

  value 0.0 .. 1.0

  See Also:
    Constant Field Values

### UNITS_PERCENT

    public static final java.lang.String UNITS_PERCENT

  value 0.0 .. 100.0

  See Also:
    Constant Field Values

### UNITS_BYTES

    public static final java.lang.String UNITS_BYTES

See Also:
  Constant Field Values

### UNITS_KBYTES

    public static final java.lang.String UNITS_KBYTES

See Also:
  Constant Field Values

### UNITS_MBYTES

    public static final java.lang.String UNITS_MBYTES

See Also:
  Constant Field Values

### UNITS_GBYTES

    public static final java.lang.String UNITS_GBYTES

See Also:
  Constant Field Values

### UNITS_TBYTES

    public static final java.lang.String UNITS_TBYTES

See Also:
  Constant Field Values

### UNITS_PBYTES

    public static final java.lang.String UNITS_PBYTES

See Also:
  Constant Field Values

### UNITS_BYTES_TO_BITS

    public static final java.lang.String UNITS_BYTES_TO_BITS

See Also:
  Constant Field Values

### UNITS_BITS

    public static final java.lang.String UNITS_BITS

See Also:
  Constant Field Values

### UNITS_KBITS

    public static final java.lang.String UNITS_KBITS

See Also:
  Constant Field Values

### UNITS_MBITS

    public static final java.lang.String UNITS_MBITS

See Also:
  Constant Field Values

### UNITS_GBITS

    public static final java.lang.String UNITS_GBITS

See Also:
  Constant Field Values

### UNITS_TBITS

    public static final java.lang.String UNITS_TBITS

See Also:
  Constant Field Values

### UNITS_PBITS

    public static final java.lang.String UNITS_PBITS

See Also:
  Constant Field Values

### UNITS_EPOCH_MILLIS

    public static final java.lang.String UNITS_EPOCH_MILLIS

See Also:
  Constant Field Values

### UNITS_EPOCH_SECONDS

    public static final java.lang.String UNITS_EPOCH_SECONDS

See Also:
  Constant Field Values

### UNITS_NANOS

    public static final java.lang.String UNITS_NANOS

See Also:
  Constant Field Values

### UNITS_MICROS

    public static final java.lang.String UNITS_MICROS

See Also:
  Constant Field Values

### UNITS_MILLIS

    public static final java.lang.String UNITS_MILLIS

See Also:
  Constant Field Values

### UNITS_JIFFYS

    public static final java.lang.String UNITS_JIFFYS

See Also:
  Constant Field Values

### UNITS_SECONDS

    public static final java.lang.String UNITS_SECONDS

See Also:
  Constant Field Values

### UNITS_CENTS

    public static final java.lang.String UNITS_CENTS

See Also:
  Constant Field Values

### VALID_UNITS

    public static final java.lang.String[] VALID_UNITS

### REPORT_QUEUE

    public static final java.lang.String REPORT_QUEUE

  The measurement report queue

  See Also:
    Constant Field Values

### IND_MIN

    public static final int IND_MIN

  The aggregate data indices

  See Also:
    Constant Field Values

### IND_AVG

    public static final int IND_AVG

See Also:
  Constant Field Values

### IND_MAX

    public static final int IND_MAX

See Also:
  Constant Field Values

### IND_CFG_COUNT

    public static final int IND_CFG_COUNT

See Also:
  Constant Field Values

### IND_LAST_TIME

    public static final int IND_LAST_TIME

See Also:
  Constant Field Values

### COLL_TYPE_DYNAMIC

    public static final int COLL_TYPE_DYNAMIC

  The collection type values

  See Also:
    Constant Field Values

### COLL_TYPE_STATIC

    public static final int COLL_TYPE_STATIC

See Also:
  Constant Field Values

### COLL_TYPE_TRENDSUP

    public static final int COLL_TYPE_TRENDSUP

See Also:
  Constant Field Values

### COLL_TYPE_TRENDSDOWN

    public static final int COLL_TYPE_TRENDSDOWN

See Also:
  Constant Field Values

### VALID_COLL_TYPE

    public static final int[] VALID_COLL_TYPE

### COLL_TYPE_NAMES

    public static final java.lang.String[] COLL_TYPE_NAMES

### INTERVAL_AVAIL_PLAT

    public static final long INTERVAL_AVAIL_PLAT

See Also:
  Constant Field Values

### INTERVAL_AVAIL_SVR

    public static final long INTERVAL_AVAIL_SVR

See Also:
  Constant Field Values

### INTERVAL_AVAIL_SVC

    public static final long INTERVAL_AVAIL_SVC

See Also:
  Constant Field Values

### INTERVAL_DYNAMIC

    public static final long INTERVAL_DYNAMIC

See Also:
  Constant Field Values

### INTERVAL_TRENDING

    public static final long INTERVAL_TRENDING

See Also:
  Constant Field Values

### INTERVAL_STATIC

    public static final long INTERVAL_STATIC

See Also:
  Constant Field Values

### PROBLEM_TYPE_ALERT

    public static final int PROBLEM_TYPE_ALERT

See Also:
  Constant Field Values

### PROBLEM_TYPE_OVER

    public static final int PROBLEM_TYPE_OVER

See Also:
  Constant Field Values

### PROBLEM_TYPE_UNDER

    public static final int PROBLEM_TYPE_UNDER

See Also:
  Constant Field Values

### FILTER_AVAIL

    public static final long FILTER_AVAIL

See Also:
  Constant Field Values

### FILTER_UTIL

    public static final long FILTER_UTIL

See Also:
  Constant Field Values

### FILTER_THRU

    public static final long FILTER_THRU

See Also:
  Constant Field Values

### FILTER_PERF

    public static final long FILTER_PERF

See Also:
  Constant Field Values

### FILTER_DYN

    public static final long FILTER_DYN

See Also:
  Constant Field Values

### FILTER_TREND_UP

    public static final long FILTER_TREND_UP

See Also:
  Constant Field Values

### FILTER_TREND_DN

    public static final long FILTER_TREND_DN

See Also:
  Constant Field Values

### FILTER_STATIC

    public static final long FILTER_STATIC

See Also:
  Constant Field Values

### FILTER_NONE

    public static final long FILTER_NONE

See Also:
  Constant Field Values

### TAB_DATA

    public static final java.lang.String TAB_DATA

See Also:
  Constant Field Values

### TAB_DATA_1H

    public static final java.lang.String TAB_DATA_1H

See Also:
  Constant Field Values

### TAB_DATA_6H

    public static final java.lang.String TAB_DATA_6H

See Also:
  Constant Field Values

### TAB_DATA_1D

    public static final java.lang.String TAB_DATA_1D

See Also:
  Constant Field Values

### TAB_MEAS

    public static final java.lang.String TAB_MEAS

See Also:
  Constant Field Values

### TAB_PROB

    public static final java.lang.String TAB_PROB

See Also:
  Constant Field Values

Constructor Detail

### MeasurementConstants

    public MeasurementConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.